import Panel from "../MViews/MPanel";
import MButton from "../MUI/MButton";
import Net from "../Global/Net";



export default class RankNoPrizePanel extends Panel {
    get skinKey() { return "RankNoPrizePanel" }
    public btnClose: MButton;
    public rankTxt: eui.Label;
    public msg: eui.Label;

    onSkinComplete() {
        super.onSkinComplete();
        this.btnClose.onTap(this, () => {
            this.hidePanel();
            //发接口消除
            // Net.sendGet(Net.Url.remove, { type: "reward" }, (res) => { }, () => { return true })
        });
        //排名,逻辑待写
        this.rankTxt.text = "未上榜";
        if (this.data.rank) {
            this.rankTxt.text = "" + this.data.rank;
            if (this.data.rank <= 20) {
                this.msg.text = "奖品正在发放当中\n请稍后在我的奖品中查看"
            }
        }


    }
}